Subject: Re: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: martin rudalics <[email-masked]>
Date: Thu, 26 Nov 2015 14:31:53 +0100

>> I'm trying to debug window.c.  But I have no idea if that's what
 >> ‘json-read-string’ tries to read.
 >
 > Ah, so the problem is likely not in json.el? I figured it was.

How would I know what what ‘json-read-string’ tries to read at that
moment?  Am I supposed to instrument it?  Maybe

   (unless (char-equal (json-peek) ?\")
     (signal 'json-string-format (list "doesn't start with `\"'!")))

should report the current buffer and its value of point.

Anyway, if I understand the backtrace correctly, the current buffer
should have been "*breakpoints of emacs.exe*".

martin